%define Werror_cflags %nil
%define betalevel rc2

Name:		yal
Version:	0.3	
Release:	%mkrel 6
Summary:	Yet another (game) launcher
License:	GPLv2
Group:		Games/Arcade
URL:		http://vega.livecd.pl
# for reference, see http://www.hard-light.net/forums/index.php?topic=68413.0
Source0:	http://vega.livecd.pl/~havner/yal/linux/%{name}-%{version}-%{betalevel}.tar.bz2
Source1:	yal.png
BuildRequires:	qt4-devel
BuildRequires:	SDL-devel
BuildRequires:	openal-devel

%description

Yet Another Launcher.FreeSpace 2 portable launcher for launching FS2O 
(FreeSpaceOpen) with ability to set variables for game and its mods. 
Use fit fs2o... Also launches Wing Commander: Saga (www.wcsaga.com) game.

%prep
%setup -q -n %{name}-%{version}-%{betalevel}

%build

# the babylon project & beyond the red line launchers disabled...

#./autogen.sh yal.pro "CONFIG+=btrl"
#make release
#make clean
#./autogen.sh yal.pro "CONFIG+=tbp"
#make release
#make clean

./autogen.sh yal.pro "CONFIG+=wcsaga"
%make release
%make clean

./autogen.sh yal.pro
%make release
%make clean


%install
mkdir -p %{buildroot}/%{_gamesbindir}
cp ./bin/* %{buildroot}/%{_gamesbindir}/

%{__mkdir_p} %{buildroot}/%{_datadir}/applications
%{__mkdir_p} %{buildroot}/%{_iconsdir}
install -D -m 644 %{SOURCE1} %{buildroot}/%{_iconsdir}/%{name}.png

%{__cat} > %{buildroot}%{_datadir}/applications/mageia-fs2o.desktop << EOF
[Desktop Entry]
Name=FS2O Launcher
Comment=FreeSpace 2 Open Launcher
Exec=%{_gamesbindir}/fs2_launcher
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%{__cat} > %{buildroot}%{_datadir}/applications/mageia-wcsaga.desktop << EOF
[Desktop Entry]
Name=WC Saga Launcher
Comment=Wing Commander Saga Launcher
Exec=%{_gamesbindir}/wcsaga_launcher
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF


%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO ChangeLog
%{_iconsdir}/%{name}.png
%{_datadir}/applications/*
%defattr(755,root,root,755)
%{_gamesbindir}/*_launcher


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 0.3-6.mga6
+ Revision: 935631
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3-5.mga5
+ Revision: 742297
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3-4.mga5
+ Revision: 690821
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3-3.mga4
+ Revision: 520857
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.3-2.mga3
+ Revision: 387544
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 05 2011 supp <supp> 0.3-1.mga2
+ Revision: 64876
- add menu entries and icon
- imported package yal

